Package org.gradle.api.artifacts.cache

# Interface ModuleResolutionControl

All Superinterfaces:
  `ResolutionControl<ModuleVersionIdentifier,ResolvedModuleVersion>`

@Incubating public interface ModuleResolutionControl extends ResolutionControl<ModuleVersionIdentifier,ResolvedModuleVersion>
Command methods for controlling module resolution via the DSL.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isChanging()`
Does the module change content over time?

### Methods inherited from interface org.gradle.api.artifacts.cache.ResolutionControl

`cacheFor, getCachedResult, getRequest, refresh, useCachedResult`

## Method Details

### isChanging

boolean isChanging()
Does the module change content over time?

Returns:
  if the module is changing